Subject: Re: [bug#70690] [PATCH] gnu: rust: install rust-analyzer-proc-macro-srv

From: Richard Sent <[email-masked]>
Date: Wed, 28 Aug 2024 12:09:36 -0400

I tested this patch and it resolved an project error while using
rust-analyzer with Eglot. Seems good to me.

Without this patch rust-analyzer prints things like:

--8<---------------cut here---------------start------------->8---
rust-analyzer [unresolved-proc-macro]: proc macro `Parser` not expanded:
cannot find proc-macro server in sysroot /gnu/store/blah-rust-1.77.1.
--8<---------------cut here---------------end--------------->8---

-- 
Take it easy,
Richard Sent
Making my computer weirder one commit at a time.